class LocalManifest.ProfilerModule.AssociationModule.HasOne extends ManifestBase.Names
  
  set_default: () ->
    super()
    
  init: () ->
    super()
    if list_manifest = @profiler().lists[@name]
      @controller_name = list_manifest.controller_name
      @action_name = list_manifest.action_name
    else
      n = @name.split '.'
      if n.length > 1
        @controller_name = n[0]
        @action_name = n[1]
      else
        ManifestBase.alert_undefined_message 'list', this.module_message
  
  model: () ->
    item_name = Manifest.manifest().controllers[@controller_name].actions[@action_name].item_name
    Manifest.item_name_to_model item_name
  
  association_name: () ->
    @parent.association_name
  
  profiler: () ->
    @parent.profiler()
  
  profiler_manifest: () ->
    @parent.profiler_manifest
  
  constructor: (parent, name, module_name) ->
    super(parent, name, module_name)
    
  
