class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule.DefaultModule.FaceFactory
  
  @types: () ->
    m = Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule.DefaultModule.FaceModule
    {
      'column': m.ColumnFace, 
      'method': m.MethodFace, 
      'none': m.NoneFace
    }
  
  @factory: (default_caption, my_manifest, item) ->
    type = my_manifest.type
    if not type
      ManifestBase.alert_message 'undefined type', "local view filers > #{default_caption.item_name} > caption > face\n"
    m = Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule.DefaultModule.FaceFactory
    my_class = m.types()[type]
    if not my_class
      ManifestBase.alert_message 'undefined class', "local view filers > #{default_caption.item_name} > caption > face > #{type}\n"
    new my_class({default_caption: default_caption, my_manifest: my_manifest, item: item})
  
class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.CaptionItemColumnModule.DefaultModule.FaceModule

