class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.SymbolItemColumnModule.Default extends Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.SymbolItemColumnModule.Base
  initialize: (options) ->
    super(options)
    @face = @mdl().FaceFactory.factory this, @my_manifest.face, @item
    @link = @mdl().LinkFactory.factory this, @my_manifest.link, @item
    @listenTo(@face, 'ready:symbol', @ready_symbol)
  
  render: () ->
    icon = new Pettanr.Views.Common.LoadIcon()
    this.$el.html(icon.render().el)
    @face.render()
    this
  
  ready_symbol: (symbol) ->
    view = if @has_link()
      linked_symbol = new Tag.A({
        attr: {href: '/' + @link.url()}, 
        content: symbol.render().el
      })
      @listenTo(linked_symbol, 'click', @click)
      linked_symbol
    else
      symbol
    this.$el.html(view.render().el)
  
  click: () ->
    @trigger('click:symbol')
    @trigger('http_get', @link.url())
    false
  
  mdl: () ->
    Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.SymbolItemColumnModule.DefaultModule
  
class Locmare.FilerModule.BodyModule.FileBodyModule.FileItemModule.SymbolItemColumnModule.DefaultModule
