class Pettanr.Operator
  
  constructor: (operators) ->
    @init(operators)
  
  init: (operators) ->
    @operators = operators
    @user = @operators.user
    @author = @operators.author
    @artist = @operators.artist
    @admin = @operators.admin
  
  #InstanceMethods
  
  is_guest: () ->
    true
  
  is_reader: () ->
    return true if @author or @artist or @admin or @user
    false
  
  is_user: () ->
    return true if @author or @artist or @user
    false
  
  is_resource_reader: () ->
    return true if @author or @artist or @admin or @user or @demand_user
    false
  
  is_admin: () ->
    return true if @admin
    false
  
  is_author: () ->
    return true if @author
    false
  
  is_artist: () ->
    return true if @artist
    false
  
