class Pettanr.View.FacedLabel extends Pettanr.View
  tagName: 'span'
  
  initialize: (@item, options) ->
    @face_button_method_name ||= 'face_button'
    @face_button = @item[@face_button_method_name](options)
    @label_button = @item.label_button(options)
  
  render: () ->
    this.$el.html('')
    this.$el.append(@face_button.render().el)
    this.$el.append(@label_button.render().el)
    this
  
class Pettanr.View.FacedLabel extends Pettanr.View.FacedLabel
  
  initialize: (@item, options) ->
    @face_button_method_name = 'mini_face_button'
    super(@item, options)
  
