class Pettanr.Views.OriginalPicture.Summary extends Pettanr.Views.Common.Summary
  className: 'op-smy'
  
  initialize: (options) ->
    super(options)
    @item = options.item
    @load()
  
  load: () ->
    @trigger('ready')
  
  render: () ->
    this.$el.html('')
    @visible = new Tag.Span({
      class_name: 'state',
      content: I18n.t('original_pictures.' + @item.state())
    })
    this.$el.append(@visible.render().el)
    @item.get_child('resource_picture', this, {
      success: (@resource_picture) =>
        if @resource_picture
          @credit = @resource_picture.credit_view(true)
          @listenTo(@credit, 'click:icon', @resource_picture_click)
          this.$el.append(@credit.render().el)
    })
    @rb()
    this
  
  # in credit
  resource_picture_click: (resource_picture) ->
    @trigger('http_get', resource_picture.show_url())
  
