class Pettanr.Views.SpeechBalloon.ElementSymbol extends Pettanr.View
  tagName: 'div'
  className: 'elements-tab-face-icon'
  
  initialize: (options) ->
    @element = options.element
  
  render: () ->
    this.$el.html('')
    @element.get_parent('speech_balloon_template', this, {
      success: (@speech_balloon_template) =>
        @speech_balloon_template.get_parent('system_picture', this, {
          success: (@system_picture) =>
            img = @system_picture.tmb_opt_img_tag()
            this.$el.html(img.render().el)
        })
    })
    this
  
class Pettanr.Views.SpeechBalloon.ElementFace extends Pettanr.View
  tagName: 'div'
  className: 'elements-tab'
  
  initialize: (options) ->
    @element = options.element
  
  render: () ->
    this.$el.html('')
    symbol = new Pettanr.Views.SpeechBalloon.ElementSymbol({element: @element})
    this.$el.append(symbol.render().el)
    @rb()
    this
  
