module LocalManifest
  module FilerModule
    module SymbolModule
      module DefaultModule
        module FaceModule
          class BaseFace < ManifestBase::TypeArgs
            
            def set_default
              super
            end
            
            def init
              super
            end
            
            def filer
              @parent.filer
            end
            
          end
          
          class ImageFace < BaseFace
            attr :url
            
            def set_default
              super
              @args['url'] ||= '/images/' + self.filer.item_name + '.gif'
            end
            
            def init
              super
              @url = @args['url']
            end
            
          end
          
          class PictureFace < BaseFace
            attr :method_name
            
            def set_default
              super
              @args['method_name'] ||= 'symbol_option'
            end
            
            def init
              super
              @method_name = @args['method_name']
            end
            
          end
          
        end
      end
    end
  end
end
