module Manifest
  module ModelModule
    module AssociationModule
      class BelongsTo < ManifestBase::NameValues
        attr :id_column, :item_name
        
        def set_default
          super
          @values['item_name'] ||= @name
          @values['id_column'] ||= @name + '_id' 
        end
        
        def init
          super
          @item_name = @values['item_name']
          @id_column = @values['id_column']
        end
        
        def model
          ::Manifest.item_name_to_model @item_name
        end
        
      end
      
    end
  end
end
