# -*- encoding: utf-8 -*-
FactoryGirl.define do
  factory :writing_format_simple_format, :class => WritingFormat do |i|
    i.name 'simple_format@pettan.com'
    i.module_name 'PettanrSimpleFormat'
    i.caption 'シンプル'
    i.settings '{}'
    trait :with_system_picture do
      after(:build) do |writing_format, evaluator|
        icon = SystemPicture.find_by_md5('8d3659feb1f01fe84d1b723c8e67aaf5') || create(:system_picture_writing_format_simple_format)
        writing_format.system_picture_id = icon.id
      end
    end
    factory :writing_format_simple_format_with_system_picture, traits: [:with_system_picture]
  end
  factory :writing_format_test, :class => WritingFormat do |i|
    i.name 'test@pettan.com'
    i.module_name 'PettanrTestFormat'
    i.caption 'test'
    i.settings '{}'
    trait :with_system_picture do
      after(:build) do |writing_format, evaluator|
        icon = SystemPicture.find_by_md5('8d3659feb1f01fe84d1b723c8e67aaf5') || create(:system_picture_writing_format_simple_format)
        writing_format.system_picture_id = icon.id
      end
    end
    factory :writing_format_test_with_system_picture, traits: [:with_system_picture]
  end
end
