class Pettanr.View.Button extends Tag.A
  
  initialize: (@url, @content, options) ->
    @context = options.context || this
    @class_name = options.class_name
    @click_func = options.click
    el = if _.isFunction(content)
      content.call(@context)
    else
      content
    @url = '/' + @url if @url[0] != '/'
    super({
      attr: {href: @url}, 
      class_name: @class_name,
      content: el
    })
  
  click: () ->
    super()
    @click_func.call(@context)
    return false
  
