class Pettanr.View.Show.AuthoredBy extends Pettanr.View
  tagName: 'div'
  
  initialize: (options) ->
    @item = options.item
    @item.get_parent(@item.my_class().owner_type(), this, {
      success: (author) =>  # author or artist
        @linked_author =  new Pettanr.View.ShortableCaption(author, 'name', {
          click: () ->
            @trigger('click:author')
        })
        @listenTo(@linked_author, 'click', @click)
        @render()
    })
  
  render: () ->
    this.$el.html('')
    this.$el.append(Pettanr.AppHelper.t_a(@item.item_name(), 'author_id'))
    this.$el.append(@linked_author.render().el)
    this
  
  
