class Pettanr.Views.GroundColor.Summary extends Pettanr.Views.Common.Summary
  
  initialize: (options) ->
    super(options)
    @item = options.item
    @item.get_parent('panel', this, {
      success: (@panel) =>
        @panel_icon = new Pettanr.Views.Common.Icon({item: @panel, half: true})
        @listenTo(@panel_icon, 'click', @panel_click)
        @panel.get_parent('author', this, {
          success: (@author) =>
            @author_icon_with_caption = @author.icon_with_caption_view(true, 'name', 12)
            @listenTo(@author_icon_with_caption, 'click', @author_click)
            @trigger('ready')
        })
    })
  
  render: () ->
    this.$el.html('')
    this.$el.append(@panel_icon.render().el)
    this.$el.append(@author_icon_with_caption.render().el)
    this
  
  panel_click: () ->
    @trigger('http_get', @panel_icon.url())
  
  author_click: () ->
    @trigger('http_get', @author_icon_with_caption.url())
  
