class Pettanr.Views.GroundPicture.Summary extends Pettanr.Views.Common.Summary
  
  initialize: (options) ->
    super(options)
    @item = options.item
    @item.get_parent('picture', this, {
      success: (@picture) =>
        @credit = @picture.credit_view(false)
        @item.get_parent('panel', this, {
          success: (@panel) =>
            @panel_icon = new Pettanr.Views.Common.Icon({item: @panel, half: true})
            @listenTo(@panel_icon, 'click', @panel_click)
            @trigger('ready')
        })
    })
  
  render: () ->
    this.$el.html('')
    this.$el.append(@credit.render().el)
    this.$el.append(@panel_icon.render().el)
    this
  
  panel_click: () ->
    @trigger('http_get', @panel_icon.url())
  
