class Pettanr.Views.PanelPicture.ElementSymbol extends Pettanr.View
  tagName: 'div'
  className: 'elements-tab-face-icon'
  
  initialize: (options) ->
    @element = options.element
  
  render: () ->
    this.$el.html('')
    @element.get_parent('picture', this, {
      success: (@picture) =>
        img = @element.tmb_opt_img_tag(@picture)
        this.$el.html(img.render().el)
    })
    this
  
class Pettanr.Views.PanelPicture.ElementFace extends Pettanr.View
  tagName: 'div'
  className: 'elements-tab'
  
  initialize: (options) ->
    @element = options.element
  
  render: () ->
    this.$el.html('')
    symbol = new Pettanr.Views.PanelPicture.ElementSymbol({element: @element})
    this.$el.append(symbol.render().el)
    fe = new Tag.Div({class_name: 'elements-tab-face-end'})
    this.$el.append(fe.render().el)
    this
  
