class ResourcePicturePicturesController < ApplicationController
  if Manifest.manifest.magic_numbers['run_mode'] == 0
    before_filter :authenticate_admin, :only => [:new, :create, :edit, :update, :destroy]
  else
    before_filter :authenticate_reader, :only => [:index, :show, :by_original_picture, :by_resource_picture, :by_picture]
    before_filter :authenticate_admin, :only => [:new, :create, :edit, :update, :destroy]
  end
  
  def index
    filer_list
  end
  
  def by_original_picture
    filer_list
  end
  
  def by_resource_picture
    filer_list
  end
  
  def by_picture
    filer_list
  end
  
  def show
    set_show
    respond_to do |format|
      show_prof_format format
      format.json { render json: @item.to_json }
    end
  end
  
  def count_by_original_picture
    list_count
  end
  
  def count_by_resource_picture
    list_count
  end
  
  def count_by_picture
    list_count
  end
  
end
