require_dependency "locmare/filer/body/file_body/file_item/caption/default/link/link"
module Locmare
  module FilerModule
    module BodyModule
      module FileBodyModule
        module FileItemModule
          module CaptionItemColumnModule
            module DefaultModule
              class LinkFactory
                include LinkModule
                @@types = {
                  'action' => ActionLink, 'none' => NoneLink, 'url_column' => UrlColumnLink
                }
                def self.factory file_item, my_manifest, item
                  type = my_manifest.type
                  raise "undefined type for local view filers > #{file_item.item_name} > caption > link\n" unless type
                  my_class = @@types[type]
                  raise "undefined class for local view filers > #{file_item.item_name} > caption > link > #{type}\n" unless my_class
                  my_class.new(file_item, my_manifest, item)
                end
                
              end
            end
          end
        end
      end
    end
  end
end
